Blender Italia forums Supporto Utenti Supporto hardware Linux Ubuntu : aggiornamento Driver NVIDIA fallito! Rispondi a: Linux Ubuntu : aggiornamento Driver NVIDIA fallito!

joaulo
Partecipante
@joaulo
#842808

Ciao, prima di tutto sarebbe utile sapere qualche versione di Ubuntu stai utilizzando (stabile|testing) e quale versione di Kernel.

In secondo luogo vedo che hai una GTX1060 come me, quindi non hai una reale necessità dei drivers 460… però potrebbe esserci un problema con i 450 a seconda della versione del kernel.

Infatti a partire da una certa versione del Kernel in poi, mi sembra la 5.4, ha smesso di funzionare il CUDA in Belender.

I problemi sono stati risolti a partire dalla versione di Kernel 5.9+ e Nvidia 455+, ma all’inizio personalmente ho ricontrato delle instabilità.

In questo momento io sto utilizzando il Kernel 5.10 e Nvidia 460 e funziona tutto a meraviglia.

Tornando al tuo errore, devi verificare quali pacchetti siano disponibili per la tua distro/versione, non sono pratico dei repository Ubuntu ma dovrebbe essere simile a Debian che utilizzo io e di solito in una release c’è una sola versione di Driver Nvidia, quindi dovresti utilizzare quello disponibile per la tua versione.

Puoi utilizzare un package manager per verificare o se preferisci usare il terminale di comando puoi usare:

# apt search nvidia-driver

e nell’elenco che segue il comando troverai i driver effettivamente disponibili ed installabili dai tuoi repository ufficiali.

Non so se hai avuto modo di vederlo (dato che mi hai scritto di conoscere il mio canale) ma se ti può essere utile c’è un video apposta sulla installazione dei driver nvidia in Linux (Debian):

copre la maggior parte delle casistiche standard, se poi hai bisogno di setup particolari fammi sapere


Fare. O non fare. Non c’è provare.” – Maestro Yoda